classification
Title: Operator precedence description for arithmetic operators
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, docs@python, rhettinger, svelankar
Priority: normal Keywords: patch

Created on 2017-09-17 23:11 by svelankar, last changed 2017-09-19 22:48 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3633 merged svelankar, 2017-09-17 23:15
PR 3638 merged python-dev, 2017-09-18 00:56
Messages (4)
msg302391 - (view) Author: svelankar (svelankar) * Date: 2017-09-17 23:11
Description for the operator precedence should read 
"Multiplication, matrix multiplication division, remainder" instead of 

"Multiplication, matrix multiplication, division, floor division, remainder.

Section 6.16. Operator precedence

I feel this would help a new comer to python to instantly figure out what does "//" stand for.
msg302401 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2017-09-18 00:51
This is a reasonable proposal.
msg302402 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2017-09-18 00:56
New changeset 9b47af65375fab9318e88ccb061394a36c8c6c33 by Raymond Hettinger (svelankar) in branch 'master':
bpo-31501: Operator precedence  description  for arithmetic operators (#3633)
https://github.com/python/cpython/commit/9b47af65375fab9318e88ccb061394a36c8c6c33
msg302565 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-09-19 22:48
New changeset e2593aa673c0347a74c4896a519e3b8cb7b55eb4 by Mariatta (Miss Islington (bot)) in branch '3.6':
bpo-31501: Operator precedence description for arithmetic operators (GH-3633) (GH-3638)
https://github.com/python/cpython/commit/e2593aa673c0347a74c4896a519e3b8cb7b55eb4
History
Date User Action Args
2017-09-19 22:48:33Mariattasetmessages: + msg302565
2017-09-18 00:56:53rhettingersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-09-18 00:56:30python-devsetpull_requests: + pull_request3630
2017-09-18 00:56:18rhettingersetmessages: + msg302402
2017-09-18 00:51:43rhettingersetnosy: + rhettinger

messages: + msg302401
versions: + Python 3.6
2017-09-17 23:15:37svelankarsetkeywords: + patch
stage: patch review
pull_requests: + pull_request3623
2017-09-17 23:11:19svelankarcreate